<!--
  ~ Copyright 2005-2007 WSO2, Inc. (http://wso2.com)
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="">

    <xsl:template match="*">
        <h4><div id="dataServiceAddQueryHeader"></div></h4>
        <!--<script><![CDATA[disableInputMappingFields();]]></script>-->
        <!--<script><![CDATA[disableOutputMappingFields();]]></script>-->
        <fieldset style="border:none;">
     	<div id="formset">
            <form name="dataServiceAddQueryForm">
                <fieldset style="width: 520px;">
                                                <legend>
                                                        <xsl:choose>
                                                                <xsl:when
                                                                        test="//return[@dataSourceType='RDBMS'] or //return[@dataSourceType='JNDIDataSource']">
                                                                        SQL Query/Stored Procedure
                                                                        Configuration
                                                                </xsl:when>
                                                                <xsl:when
                                                                        test="//return[@dataSourceType='EXCEL']">
                                                                        Data extraction parameters for Excel
                                                                </xsl:when>
                                                                <xsl:when
                                                                        test="//return[@dataSourceType='CSV']">
                                                                        Data extraction parameters for CSV
                                                                </xsl:when>
                                                                <xsl:otherwise></xsl:otherwise>
                                                        </xsl:choose>
                                                </legend>
                    <div>
                                                        <label>
                                                                <xsl:choose>
                                                                        <xsl:when
                                                                                test="//return[@dataSourceType='RDBMS'] or //return[@dataSourceType='JNDIDataSource']">
                                                                                Query ID<font color='red'>*</font>
                                                                        </xsl:when>
                                                                        <xsl:when
                                                                                test="//return[@dataSourceType='EXCEL']">
                                                                                Query ID<font color='red'>*</font>
                                                                        </xsl:when>
                                                                        <xsl:when
                                                                                test="//return[@dataSourceType='CSV']">
                                                                                Query ID<font color='red'>*</font>
                                                                        </xsl:when>
                                                                        <xsl:otherwise></xsl:otherwise>
                                                                </xsl:choose>
                                                        </label>
                       	<input type="text">
                       	<xsl:attribute name="size">30</xsl:attribute>
                       	<xsl:attribute name="id">txtDataServiceQueryId</xsl:attribute>
                       	<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
                       	<xsl:attribute name="onchange">javascript:newQueryIdOnChange(this.value);</xsl:attribute>
                       	</input>
                    </div>
                    
                    <xsl:if test="//return[@dataSourceType='EXCEL']">
                       <xsl:call-template name="ds_excel_query"/>                    
                    </xsl:if>
                    					
                    
                    <xsl:if test="//return[@dataSourceType='RDBMS'] or //return[@dataSourceType='JNDIDataSource']">
                    <div>
                    	<label>SQL Statement<font color='red'>*</font></label>
						<input type="textarea">						
                       	<xsl:attribute name="style">height:60px;width:350px</xsl:attribute>
						<xsl:attribute name="id">txtDataServiceSQL</xsl:attribute>
                       	<xsl:attribute name="value"><xsl:value-of select="sql"/></xsl:attribute>
                       	<xsl:attribute name="onchange">javascript:querySQLOnChange(this.value,this);</xsl:attribute>
                       	</input>
                    </div>
                    <div>
                    <legend>Input Mappings</legend>
                    <div>
                    <xsl:if test="count(param)!=0">
                    <table width="460px;" class="styled" style="margin-left:20px;">
						<thead>
							<tr>
								<th>Name</th>
								<th>SQL Type</th>
							</tr>
						</thead>

                        <xsl:for-each select="param">
							<tr>
								<td>
		                       		<xsl:value-of select="@name"/>
								</td>
								<td>
			                       	<xsl:value-of select="@sqlType"/>
                                </td>
                                <td style="width:50px;">
									<a alt="Delete">
                						<xsl:attribute name="title">Delete</xsl:attribute>
                						<xsl:attribute name="onclick">javascript:remove_ds_ip_mapping('<xsl:value-of
                                                select="@name"/>');return false;</xsl:attribute>
                						<xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                					</a>
                                    <a alt="Edit">
                						<xsl:attribute name="title">Edit</xsl:attribute>
                						<xsl:attribute name="onclick">javascript:edit_ds_ip_mapping('<xsl:value-of
                                                select="@name"/>', '<xsl:value-of select="@sqlType"/>');return false;</xsl:attribute>
                						<xsl:attribute name="id">edit_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                					</a>
                                </td>
							</tr>
                		</xsl:for-each>

                	</table>
                    </xsl:if>
                        <xsl:if test="count(param)=0">
                            <label style="width:500px; color:brown;">Currently there are no input mappings present for this query</label>
                        </xsl:if>
                        </div>
                    <div><fieldset style="margin-left:20px; width:460px;">
                        <legend>Add/Edit Input Mapping</legend>
                    <div><label>Name<font color='red'>*</font></label>
		                       	<input type="text">
                       				<xsl:attribute name="size">30</xsl:attribute>
                       				<xsl:attribute name="id">name</xsl:attribute>
                       				<xsl:attribute name="value"><xsl:value-of select="@name"/></xsl:attribute>
                       			</input></div>
							    <div><label>SQL Type<font color='red'>*</font></label>
		                       	<select>
                       			<xsl:attribute name="id">sqlType</xsl:attribute>
                                        <option>- select the type -</option>
                                        <option value="STRING">STRING
                                           <xsl:if test="@sqlType='STRING'">
                                               <xsl:attribute name="selected">true</xsl:attribute>
                                           </xsl:if>
                                        </option>
                                        <option value="INTEGER">INTEGER
                                           <xsl:if test="@sqlType='INTEGER'">
                                               <xsl:attribute name="selected">true</xsl:attribute>
                                           </xsl:if>
                                        </option>
                                        <option value="DOUBLE">DOUBLE
                                           <xsl:if test="@sqlType='DOUBLE'">
                                               <xsl:attribute name="selected">true</xsl:attribute>
                                           </xsl:if>
                                        </option>
                                        <option value="DATE">DATE[yyyy-mm-dd]
                                           <xsl:if test="@sqlType='DATE'">
                                               <xsl:attribute name="selected">true</xsl:attribute>
                                           </xsl:if>
                                        </option>                                        

                                        <!--TODO: add any more sqltypes-->
                                        </select>
                                </div>
								<div id="buttonrow">
								<input type="button" value="Store Mapping" style="margin-left:150px;">
								    <xsl:attribute name="id">addInputParamMappingButton</xsl:attribute>
                					<xsl:attribute name="onclick">javascript:addNewInputParamMapping(document.dataServiceAddQueryForm.name.value,document.dataServiceAddQueryForm.sqlType.value);return false;</xsl:attribute>
                				</input></div>
                        </fieldset></div>
                    </div>
                    </xsl:if>
                </fieldset>


                
                <!-- output mapping field set -->
                <fieldset style="width: 520px;">
                    <div>
                    <legend>Result to Output Mapping</legend>
                    <div><div>
                        <label style="width:150px;">Grouped by element</label>
                        <input type="text">
                        <xsl:attribute name="size">30</xsl:attribute>
                        <xsl:attribute name="id">txtDataServiceWrapElement</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="result/@element"/></xsl:attribute>
                        <xsl:attribute name="onchange">javascript:queryWENOnChange(this.value);</xsl:attribute>
                        </input>
                    </div>
                    <div>
                        <label style="width:150px;">Row name</label>
                        <input type="text">
                        <xsl:attribute name="size">30</xsl:attribute>
                        <xsl:attribute name="id">txtDataServiceRowName</xsl:attribute>
                        <xsl:attribute name="value"><xsl:value-of select="result/@rowName"/><xsl:value-of select="result/@rowname"/></xsl:attribute>
                        <xsl:attribute name="onchange">javascript:queryRNOnChange(this.value);</xsl:attribute>
                        </input>
                    </div></div>

                                        <div>
                        <xsl:if test="count(result/*)!=0">
                        <table class="styled" width="460px;" style="margin-left:20px;">
                                                <thead>
                                                        <tr>
                                                                <th>Mapping type</th>
                                                                <th>Output Field Name</th>
                                                                <th>Result column</th>
                                                        </tr>
                                                </thead>
                                        <xsl:for-each select="result/*">
                                                <xsl:choose>
                                                        <xsl:when test="@href != ''">
                                                                <tr>
                                                                        <td>Query</td>
                                                                        <td colspan="2"><xsl:value-of select="@href"/></td>
                                    <td style="width:50px;">
                                                                        <a alt="Delete">
                                                                <xsl:attribute name="title">Delete</xsl:attribute>
                                                                <xsl:attribute name="onclick">javascript:remove_query_op_mapping('<xsl:value-of
                                                select="@href"/>');return false;</xsl:attribute>
                                                                <xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                                                        </a>
                                    <a alt="Edit">
                                                                <xsl:attribute name="title">Edit</xsl:attribute>
                                                                <xsl:attribute name="onclick">javascript:edit_query_op_mapping('<xsl:value-of
                                                select="@href"/>');return false;</xsl:attribute>
                                                                <xsl:attribute name="id">edit_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                                                        </a>
                                </td>
                                </tr>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <tr>
                                                                        <td>Element</td>
                                                                        <td><xsl:value-of select="@name"/></td>
                                                                        <td><xsl:value-of select="@column"/></td>
                                    <td style="width:50px;">
                                                                        <a alt="Delete">
                                                                <xsl:attribute name="title">Delete</xsl:attribute>
                                                                <xsl:attribute name="onclick">javascript:remove_element_op_mapping('<xsl:value-of
                                                select="@column"/>');return false;</xsl:attribute>
                                                                <xsl:attribute name="id">cancel_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                                                        </a>
                                    <a alt="Edit">
                                                                <xsl:attribute name="title">Edit</xsl:attribute>
                                                                <xsl:attribute name="onclick">javascript:edit_element_op_mapping('<xsl:value-of
                                                select="@name"/>', '<xsl:value-of select="@column"/>');return false;</xsl:attribute>
                                                                <xsl:attribute name="id">edit_link</xsl:attribute>
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:text>&#160;&#160;&#160;&#160;&#160;&#160;</xsl:text>
                                                        </a>
                                </td>
                                </tr>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                        </xsl:for-each>
                        </table>
                        </xsl:if>
                        <xsl:if test="count(result/*)=0">
                            <label style="width:500px; color:brown;">Currently there are no output mappings present for this query</label>
                        </xsl:if>
                    </div>
                        
                        <div><fieldset style="margin-left:20px; width:460px;">
                    <legend>Add/Edit Output Mapping</legend>
                    <div>
                        <label>Mapping Type</label>
                        <select>
                                <xsl:attribute name="id">cmbDataServiceOMType</xsl:attribute>
                                <xsl:attribute name="onchange">javascript:dataserviceOMTypeSelected(this.value);</xsl:attribute>
                                <option>
                                        <xsl:attribute name="value">OutputElement</xsl:attribute>
                                        Output Element
                                </option>
                                <xsl:if test="//return[@dataSourceType!='CSV']">
                                    <option>
                                         <xsl:attribute name="value">Query</xsl:attribute>
                                         Query
                                    </option>
                                </xsl:if> 
                                </select>
                    </div>
                   <div id="divOMQuery" style="display: none;">
                        <div><label>Select Query</label>
                        <select>
                            <xsl:attribute name="onChange">javascript: displayOperationWithParams(); return false;</xsl:attribute>
                            <xsl:attribute name="id">cmbDataServiceQueryId</xsl:attribute>
                                                        <xsl:for-each select="//return/data/query">
                                <xsl:if test="@id!=''">
                                   <option>
                                                <xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
                                                <xsl:value-of select="@id"/>
                                        </option>
                                </xsl:if>
                            </xsl:for-each>
                                </select></div>
                       <div id="divDSOperationParams"></div>
                        <div class="buttonrow">
                                                <input type="button" value="Store Mapping" style="margin-left:20px;">
                                                        <xsl:attribute name="onclick">javascript:addDataServiceOMQueryDone();return false;</xsl:attribute>
                                                </input>
                                </div>
                    </div>
                            
                    <div id="divOMElement" style="display: inline;">
                        <div><label>Output field name</label>
                        <input type="text">
                        <xsl:attribute name="size">30</xsl:attribute>
                        <xsl:attribute name="id">txtDataServiceOMElementName</xsl:attribute>
                        </input></div>
                            <div>
                             <label>
                             <xsl:choose>
                                  <xsl:when
                                       test="//return[@dataSourceType='RDBMS'] or //return[@dataSourceType='JNDIDataSource']">
                                       SQL column Name
                                  </xsl:when>
                                  <xsl:when
                                        test="//return[@dataSourceType='CSV']">
                                        CSV column ordinal
                                  </xsl:when>
                                  <xsl:when
                                        test="//return[@dataSourceType='EXCEL']">
                                        Excel column name
                                  </xsl:when>
                                  <xsl:otherwise></xsl:otherwise>
                              </xsl:choose> 
                              </label>                            
                                             
                        <input type="text">
                        <xsl:attribute name="size">30</xsl:attribute>
                        <xsl:attribute name="id">txtDataServiceOMColumnName</xsl:attribute>
                        </input></div>
                                <div class="buttonrow">
                                                <input type="button" value="Store Mapping" style="margin-left:20px;">
                                                    <xsl:attribute name="id">addOutputParamMappingButton</xsl:attribute>
                                                        <xsl:attribute name="onclick">javascript:addDataServiceOMElementDone();return false;</xsl:attribute>
                                                </input>
                                </div>
                    </div>

                  </fieldset></div>

                    </div>

                   <div class="buttonrow">
                                <input type="button" value="Store Query">
                                    <xsl:attribute name="id">addQueryButton</xsl:attribute>
                                <xsl:attribute name="onclick">javascript:add_ds_query();return false;</xsl:attribute>
                        </input>
                        <input type="reset" value="Reset">
                    <xsl:attribute name="id">addQueryRestButton</xsl:attribute>                         
                        </input>
                </div>
                </fieldset>
              </form>	
              <iframe src="_blank.html" onload="javascript:disableInputMappingFields();"
					scrolling="no" style="visibility:hidden"
					width="0" height="0"/>
              <iframe src="_blank.html" onload="javascript:disableOutputMappingFields();"
					scrolling="no" style="visibility:hidden"
					width="0" height="0"/>
					
			</div>
        </fieldset>
    </xsl:template>

    <xsl:template name="ds_excel_query">
    	<div>
    		<label>
    			Workbook Name
    			<font color='red'>*</font>
    		</label>
    		<input type="text">
    			<xsl:attribute name="size">30</xsl:attribute>
    			<xsl:attribute name="id">txtExcelWorkbookName</xsl:attribute>
    			<xsl:attribute name="value"><xsl:value-of select="excel/workbookname"/></xsl:attribute>
    			<xsl:attribute name="onchange">javascript:excelWorkbookNameOnChange(this.value,this);</xsl:attribute>
    		</input>
    	</div>
	
    	<div>
    		<label>Start reading from<font color='red'>*</font></label>
    		<input type="text">
    			<xsl:attribute name="size">30</xsl:attribute>
    			<xsl:attribute name="id">txtExcelStartingRow</xsl:attribute>
    			<xsl:attribute name="value"><xsl:value-of select="excel/startingrow"/></xsl:attribute>
    			<xsl:attribute name="onchange">javascript:excelStartingRowOnChange(this.value,this);</xsl:attribute>    			
    		</input>
    	</div>
    	<div>
    		<label>
    			Rows to read
    			<font color='red'>*</font>
    		</label>
    		<input type="text">
    			<xsl:attribute name="size">30</xsl:attribute>
    			<xsl:attribute name="id">txtExcelMaxRowCount</xsl:attribute>
    			<xsl:attribute name="value"><xsl:value-of select="excel/maxrowcount"/></xsl:attribute>
    			<xsl:attribute name="onchange">javascript:excelMaxRowCountOnChange(this.value,this);</xsl:attribute>    			
    		</input>
    	</div>
    	<div>
    		<label>
    			Headers available
    			<font color='red'>*</font>
    		</label>  			
	        <xsl:variable name="hasHeader">
	           <xsl:value-of select="excel/hasheader" />
	        </xsl:variable>
			<select>
	            <xsl:attribute name="id">txtExcelHeaderColumns</xsl:attribute>
	            <xsl:attribute name="onchange">javascript:excelHeaderColumnsOnChange(this.value,this);</xsl:attribute>
                <option>
                	<xsl:attribute name="value"></xsl:attribute>
                	--select--
                </option>	            
                <option>
                	<xsl:attribute name="value">true</xsl:attribute>
                	<xsl:if test="$hasHeader='true'">
                		<xsl:attribute name="selected">true</xsl:attribute>
                	</xsl:if>
                	TRUE
                </option>
             	<option>
             		<xsl:attribute name="value">false</xsl:attribute>
             		<xsl:if test="$hasHeader='false'">
             			<xsl:attribute name="selected">true</xsl:attribute>
             		</xsl:if>
             		FALSE
             	</option>
            </select>
    	</div>
		
    </xsl:template>

    <xsl:include href="data_service_add_output_mapping.xsl"/>
</xsl:stylesheet>
